# Contributing

Types of contributions we welcome:

* Opening issue for bugs
* Bug fixes
* Documentation and/or clearer interfaces

## Proposing Features

The focus on this project is on providing a convenient way to access
the schema for code generators targetting different langauges.
Features that aren't relevant for this use case are less likely to
be merged. When in doubt, open an issue first to propose the issue
so that we can confirm that we are interested in a pull request to
implement it.

## How To Contribute

1. Fork the [repository in github](https://github.com/Shopify/graphql_schema)
2. Create your feature branch (`git checkout -b fix-feature`)
3. Commit your changes (`git commit -am 'fix: Summarize change'`)
3. Make sure all tests pass (`bundle exec rake`)
4. Push to the branch (`git push origin fix-feature`)
5. [Create new pull request](https://github.com/Shopify/graphql_schema/pulls)
